import 'dart:io';

import 'package:consoledoctor_vanguard_http/src/vanguard_constants.dart';

class VanguardHttpClientConfig {

  String serverUrl;
  final String appIdentifier;
  final String appName;
  final String deviceID;
  final String deviceName;
  final String deviceModel;

  VanguardHttpClientConfig({required this.serverUrl, required this.appIdentifier, required this.appName, required this.deviceID, required this.deviceName, required this.deviceModel});

  Map<String, dynamic> buildHeaders() => {
    'CD-API': vanguardAPIKey,
    'x-app-name': appIdentifier,
    'x-service-name': appName,
    'x-deviceid': deviceID,
    'x-platform': Platform.operatingSystem,
    'x-client-hostname': deviceName,
    'x-device': deviceModel,
  };
}